Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.util
- orion.widgets.OpenResourceDialog
- orion.widgets.Section
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Namespace orion.searchUtils

orion.searchUtils
Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.core/web/orion/searchUtils.js>.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.searchUtils Utility methods

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | orion.searchUtils.addRecentSearch(serviceRegistry, searchName, useRegEx)
<static> | orion.searchUtils.copyQueryParams(queryObj, copyReplace)
<static> | orion.searchUtils.findRegExp(pattern, flags, startIndex, startIndex) Helper for finding regex matches in text contents.
<static> | orion.searchUtils.fullPathNameByMeta(parents)
<static> | orion.searchUtils.generateFindURLBinding(inFileQuery, lineNumber, replaceStr)
<static> | orion.searchUtils.generateInFileQuery(searchStr, fromStart)
<static> | orion.searchUtils.generateInFileQueryRegEx(searchStr, fromStart)
<static> | orion.searchUtils.generateMatchContext(contextAroundLength, fileContents, lineNumber)
<static> | orion.searchUtils.generateNewContents(oldContents, newContents, fileModelNode, replaceStr, searchStrLength)
<static> | orion.searchUtils.generateSearchHref(options)
<static> | orion.searchUtils.generateSearchQuery(options)
<static> | orion.searchUtils.getMixedSearches(serviceRegistry, mixed, callback)
<static> | orion.searchUtils.getOpenSearchPref(serviceRegistry, callback)
<static> | orion.searchUtils.getSearches(serviceRegistry, type, callback)
<static> | orion.searchUtils.parseFindURLBinding(findParam)
<static> | orion.searchUtils.parseLocationAndSearchStr(locAndSearchStr, queryObj, fromStart)
<static> | orion.searchUtils.parseLocationAndSearchStrRegEx(locAndSearchStr, queryObj, fromStart)
| parseQueryStr(queryStr) Parse the search query string from the hash value of a search page.
<static> | orion.searchUtils.parseQueryStr(queryStr, fromStart)
<static> | orion.searchUtils.path2FolderName(filePath, fileName, keepTailSlash)
<static> | orion.searchUtils.populateSearchMenu(serviceRegistry, choicesMenu, type, makeLabelFunc)
<static> | orion.searchUtils.replaceCheckedMatches(text, replacingStr, originalMatches, checkedMatches, defaultMatchLength)
<static> | orion.searchUtils.replaceRegEx(text, regEx, replacingStr)
<static> | orion.searchUtils.replaceStringLiteral(text, keyword, replacingStr)
<static> | orion.searchUtils.searchOnelineLiteral(inFileQuery, lineString, onlyOnce)
<static> | orion.searchUtils.searchOnelineRegEx(inFileQuery, lineString, onlyOnce)
<static> | orion.searchUtils.searchWithinFile(inFileQuery, fileModelNode, fileContentText, lineDelim, replacing, caseSensitive)
<static> | orion.searchUtils.setOpenSearchPref(serviceRegistry, openInNewTab)
<static> | orion.searchUtils.splitFile(text)
| splitFile(text) Split file contents into lines.

Namespace Detail
orion.searchUtils
Utility methods
Method Detail
<static> orion.searchUtils.addRecentSearch(serviceRegistry, searchName, useRegEx)

Parameters:
serviceRegistry
searchName
useRegEx

<static> orion.searchUtils.copyQueryParams(queryObj, copyReplace)

Parameters:
queryObj
copyReplace

<static> {Object} orion.searchUtils.findRegExp(pattern, flags, startIndex, startIndex)
Helper for finding regex matches in text contents.

Parameters:
{String} pattern
  A valid regexp pattern.
{String} flags
  Valid regexp flags: [is]
{Number} startIndex Optional
  Default is false.
startIndex

Returns:
  {Object} An object giving the match details, or `null` if no match found. The returned object will have the properties:
  {Number} index
  {Number} length

<static> orion.searchUtils.fullPathNameByMeta(parents)

Parameters:
parents

<static> orion.searchUtils.generateFindURLBinding(inFileQuery, lineNumber, replaceStr)

Parameters:
inFileQuery
lineNumber
replaceStr

<static> orion.searchUtils.generateInFileQuery(searchStr, fromStart)

Parameters:
searchStr
fromStart

<static> orion.searchUtils.generateInFileQueryRegEx(searchStr, fromStart)

Parameters:
searchStr
fromStart

<static> orion.searchUtils.generateMatchContext(contextAroundLength, fileContents, lineNumber)

Parameters:
contextAroundLength
fileContents
lineNumber

<static> orion.searchUtils.generateNewContents(oldContents, newContents, fileModelNode, replaceStr, searchStrLength)

Parameters:
oldContents
newContents
fileModelNode
replaceStr
searchStrLength

<static> orion.searchUtils.generateSearchHref(options)

Parameters:
options

<static> orion.searchUtils.generateSearchQuery(options)

Parameters:
options

<static> orion.searchUtils.getMixedSearches(serviceRegistry, mixed, callback)

Parameters:
serviceRegistry
mixed
callback

<static> orion.searchUtils.getOpenSearchPref(serviceRegistry, callback)

Parameters:
serviceRegistry
callback

<static> orion.searchUtils.getSearches(serviceRegistry, type, callback)

Parameters:
serviceRegistry
type
callback

<static> orion.searchUtils.parseFindURLBinding(findParam)

Parameters:
findParam

<static> orion.searchUtils.parseLocationAndSearchStr(locAndSearchStr, queryObj, fromStart)

Parameters:
locAndSearchStr
queryObj
fromStart

<static> orion.searchUtils.parseLocationAndSearchStrRegEx(locAndSearchStr, queryObj, fromStart)

Parameters:
locAndSearchStr
queryObj
fromStart

{Object} parseQueryStr(queryStr)
Parse the search query string from the hash value of a search page.

Parameters:
{String} queryStr
  The hash string.

Returns:
  {Object} An object having the properties:
  - Integer `start` The start number of search result of current page.
  - Integer `rows` The max rows per page.
  - String `sort` The sort parameters."Path asc" or "Name asc".
  - Object `inFileQuery` The query object for in file search.

<static> orion.searchUtils.parseQueryStr(queryStr, fromStart)

Parameters:
queryStr
fromStart

<static> orion.searchUtils.path2FolderName(filePath, fileName, keepTailSlash)

Parameters:
filePath
fileName
keepTailSlash

<static> orion.searchUtils.populateSearchMenu(serviceRegistry, choicesMenu, type, makeLabelFunc)

Parameters:
serviceRegistry
choicesMenu
type
makeLabelFunc

<static> orion.searchUtils.replaceCheckedMatches(text, replacingStr, originalMatches, checkedMatches, defaultMatchLength)

Parameters:
text
replacingStr
originalMatches
checkedMatches
defaultMatchLength

<static> orion.searchUtils.replaceRegEx(text, regEx, replacingStr)

Parameters:
text
regEx
replacingStr

<static> orion.searchUtils.replaceStringLiteral(text, keyword, replacingStr)

Parameters:
text
keyword
replacingStr

<static> orion.searchUtils.searchOnelineLiteral(inFileQuery, lineString, onlyOnce)

Parameters:
inFileQuery
lineString
onlyOnce

<static> orion.searchUtils.searchOnelineRegEx(inFileQuery, lineString, onlyOnce)

Parameters:
inFileQuery
lineString
onlyOnce

<static> orion.searchUtils.searchWithinFile(inFileQuery, fileModelNode, fileContentText, lineDelim, replacing, caseSensitive)

Parameters:
inFileQuery
fileModelNode
fileContentText
lineDelim
replacing
caseSensitive

<static> orion.searchUtils.setOpenSearchPref(serviceRegistry, openInNewTab)

Parameters:
serviceRegistry
openInNewTab

<static> orion.searchUtils.splitFile(text)

Parameters:
text

{Array} splitFile(text)
Split file contents into lines. It also handles the mixed line endings with "\n", "\r" and "\r\n".

Parameters:
{String} text
  The file contetns.

Returns:
  {Array} Split file lines.

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 19 2012 13:08:15 GMT-0400 (EDT)